#ifndef _PCF8591_H
#define _PCF8591_H

#include <stdio.h>
#include <stdint.h>
#include <string.h>
#include <wiringPi.h>
#include <wiringSerial.h>
#include <wiringPiI2C.h>
#include <sys/time.h>

#define uint8_t unsigned char


#define MODE0   0x00  //Channel0 = AIN0;
                      //Channel1 = AIN1;
                      //Channel2 = AIN2;
                      //Channel3 = AIN3;
#define MODE1   0x10  //Channel0 = AIN3-AIN0;
                      //Channel1 = AIN3-AIN1
                      //Channel2 = AIN3-AIN2;
#define MODE2   0x20  //Channel0 = AIN0;
                      //Channel1 = AIN1;
                      //Channel2 = AIN3-AIN2;
#define MODE3   0x30  //Channel0 = AIN1-AIN0;
                      //Channel1 = AIN3-AIN2;
            
#define CHNL0   0x40   //Using Channel0
#define CHNL1   0x41   //Using Channel1
#define CHNL2   0x42   //Using Channel2
#define CHNL3   0x43   //Using Channel3

#define DAouputEn 0x40//0x50 or 0x60 or 0x70 is also ok!

#define PCF8591Add (0x90 >> 1)

int PCF8591_init();
void PCF8591_Write(int fd,int data);
void PCF8591_Aout(int fd,int reg,int data);
int PCF8591_Read(int fd);

#endif